LOWDOWN_HTML_NEW(3)

NAME
lowdown_html_new - allocate an HTML renderer for lowdown documents

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
void *
lowdown_html_new(const struct lowdown_opts *opts);

DESCRIPTION
The lowdown_html_new function allocates an HTML5 renderer using the flags in opts, which can be NULL. It must be freed with a call to lowdown_html_free(3). The returned pointer may be used with multiple invocations of lowdown_html_rndr(3). The renderer type in opts is ignored.

If opts is NULL, the renderer uses no extensions and does not emit warnings.

RETURN VALUES
Always returns a valid pointer.

SEE ALSO
lowdown(3)